package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsWechatTemplate;
import org.apache.ibatis.annotations.Select;

/**
 * 微信模板Mapper接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface FsWechatTemplateMapper 
{
    /**
     * 查询微信模板
     * 
     * @param id 微信模板ID
     * @return 微信模板
     */
    public FsWechatTemplate selectFsWechatTemplateById(Integer id);

    /**
     * 查询微信模板列表
     * 
     * @param fsWechatTemplate 微信模板
     * @return 微信模板集合
     */
    public List<FsWechatTemplate> selectFsWechatTemplateList(FsWechatTemplate fsWechatTemplate);

    /**
     * 新增微信模板
     * 
     * @param fsWechatTemplate 微信模板
     * @return 结果
     */
    public int insertFsWechatTemplate(FsWechatTemplate fsWechatTemplate);

    /**
     * 修改微信模板
     * 
     * @param fsWechatTemplate 微信模板
     * @return 结果
     */
    public int updateFsWechatTemplate(FsWechatTemplate fsWechatTemplate);

    /**
     * 删除微信模板
     * 
     * @param id 微信模板ID
     * @return 结果
     */
    public int deleteFsWechatTemplateById(Integer id);

    /**
     * 批量删除微信模板
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsWechatTemplateByIds(Integer[] ids);

    @Select("select * from fs_wechat_template where tempkey=#{key}")
    FsWechatTemplate selectFsWechatTemplateByKey(String key);
    @Select("select temp_id from fs_wechat_template where status=1")
    List<String> selectFsWechatTemplateIds();
    @Select("select temp_id from fs_wechat_template where find_in_set(tempkey,#{key})")
    List<String> selectFsWechatTemplateIdsByKeys(String key);
}
